---
# Copyright 2017, Rackspace US, Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

- include_tasks: rpm.yml

- name: Check if /etc/yum/yum-cron.conf exists
  stat:
    path: /etc/yum/yum-cron.conf
  check_mode: no
  register: yum_cron_config_check
  when:
    - ansible_os_family | lower == 'redhat'
  tags:
    - always

- name: Enable automatic package updates (yum)
  lineinfile:
    dest: /etc/yum/yum-cron.conf
    regexp: "^apply_updates"
    line: "apply_updates = yes"
    state: present
  when:
    - ansible_os_family | lower == 'redhat'
    - yum_cron_config_check.stat.exists | bool
    - security_rhel7_automatic_package_updates | bool
  tags:
    - packages
    - medium
    - V-71999

- name: "Ensure YUM Removes Previous Package Versions"
  lineinfile:
    dest: /etc/yum.conf
    regexp: ^#?clean_requirements_on_remove
    line: clean_requirements_on_remove=1
    insertafter: '\[main\]'
  tags:
    - clean_components_post_updating
    - low_severity
    - restrict_strategy
    - low_complexity
    - low_disruption
    - NIST-800-53-SI-2(6)
    - NIST-800-171-3.4.8
    - DISA-STIG-RHEL-07-020200
...
